An API endpoint to get all the tenant connectors that are eligible to attach to a member connector.
|
Parameter |
Mandatory/Optional |
Data Type |
Description |
|---|---|---|---|
|
pageSize |
Optional |
Integer |
The number of records per page to be included in the response. |
|
pageNumber |
Optional |
Integer |
The page to be returned. |
API request
curl --location 'https://<QualysGatewayURL>/connectors/v1.0/azure/valid-org-connectors/xxxxxxx’
--header 'Authorization: Bearer xxxxxxxxxxxxxxxxxxxxxxxxxxxx'
--header 'Content-Type: application/json' \
Response
{
"currentPage": 0,
"currentPageSize": 1,
"totalPages": 1,
"numberOfElements": 1,
"content": [
{
"id": xxxxxx,
"organizationId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "Azure Org",
"connectorPrefixName": "createdbyorg",
"runFrequency": "60",
"connectorRunFrequency": "60",
"lastSynced": "2023-05-17T07:35:36.638+00:00",
"customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"userUuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"userName": "abcde_xxxx",
"type": "AZURE",
"lastError": null,
"isDeleted": false,
"isDisabled": false,
"description": "azure org connector description",
"state": "FINISHED_SUCCESS",
"nextSync": "2023-05-17T08:35:36.638+00:00",
"isRemediationEnabled": true,
"organizationName": "Azure org",
"uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"isAssignStaticTagToAssetsPulledByThatConnector": false,
"isAssignStaticTagToConnectors": false,
"connectorAppInfos": [
{
"name": "AI",
"identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"tagId": null,
"tagMetadata": null
},
{
"name": "CI",
"identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"tagId": null,
"tagMetadata": null
},
{
"name": "CSA",
"identifier": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"tagId": null,
"tagMetadata": null
}
],
"defaultTagIds": [],
"memberConfigurations": {
"includedMembers": [
"TestingManagementGroup"
],
"excludedMembers": []
},
"createConnectorForNewSubscriptionsAutomatically": true,
"disableConnectorsForDeletedManagementGroups": true,
"createStaticTagsForManagementGroups": false
}
],
"hasContent": true,
"hasNext": false,
"hasPrevious": false,
"first": true,
"last": true
}